
findTraders <- function(agents, traderFraction=getmaOption("traderFraction"))
{
  if(traderFraction >= 1) return(TRUE)

  if(inherits(agents, "marketAgentList")) {
    lapply(agents, findTraders, traderFraction=traderFraction)
  } else {
    n <- length(agents$sellAt)
    sample.int(n, as.integer(n * traderFraction), replace=FALSE)
  }
}
