
selectTraders <- function(agents, traders)
{
  if(isTRUE(traders)) return(agents)

  if(inherits(agents, "marketAgentList")) {
    if(length(agents) != length(traders)) {
      stop("lengths of 'agents' and 'traders' not equal")
    }
    for(i in seq_along(agents)) agents[[i]] <- agents[[i]][traders[[i]]]
    agents
  } else {
    agents[traders]
  }
}
